Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-3160

Test Failure - mmapv1

    • Type: Icon: Task Task
    • Resolution: Fixed
    • Priority: Icon: Unknown Unknown
    • 4.1
    • Affects Version/s: None
    • Component/s: Spec Comp, Tests
    • Labels:
      None

      Various recently added spec and python tests are failing on mmapv1:

       [2022/03/03 22:56:09.066] ERROR [0.510s]: test_Dirty_implicit_session_is_discarded_(findAndModify) (test_sessions_unified.TestSessionsDriverSessionsDirtySessionErrors)
       [2022/03/03 22:56:09.066] ----------------------------------------------------------------------
       [2022/03/03 22:56:09.066] Traceback (most recent call last):
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 762, in command
       [2022/03/03 22:56:09.066]     exhaust_allowed=exhaust_allowed,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/network.py", line 150, in command
       [2022/03/03 22:56:09.066]     reply = receive_message(sock_info, request_id)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/network.py", line 208, in receive_message
       [2022/03/03 22:56:09.066]     _receive_data_on_socket(sock_info, 16, deadline)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/network.py", line 280, in _receive_data_on_socket
       [2022/03/03 22:56:09.066]     raise OSError("connection closed")
       [2022/03/03 22:56:09.066] OSError: connection closed
       [2022/03/03 22:56:09.066] The above exception was the direct cause of the following exception:
       [2022/03/03 22:56:09.066] Traceback (most recent call last):
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1222, in test_case
       [2022/03/03 22:56:09.066]     self.run_scenario(spec)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1199, in run_scenario
       [2022/03/03 22:56:09.066]     self.run_operations(spec["operations"])
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1140, in run_operations
       [2022/03/03 22:56:09.066]     self.run_entity_operation(op)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 968, in run_entity_operation
       [2022/03/03 22:56:09.066]     result = cmd(**dict(arguments))
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 3140, in find_one_and_update
       [2022/03/03 22:56:09.066]     **kwargs,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 2792, in __find_and_modify
       [2022/03/03 22:56:09.066]     write_concern.acknowledged, _find_and_modify, session
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/mongo_client.py", line 1397, in _retryable_write
       [2022/03/03 22:56:09.066]     return self._retry_with_session(retryable, func, s, None)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/mongo_client.py", line 1284, in _retry_with_session
       [2022/03/03 22:56:09.066]     return self._retry_internal(retryable, func, session, bulk)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/mongo_client.py", line 1318, in _retry_internal
       [2022/03/03 22:56:09.066]     return func(session, sock_info, retryable)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 2785, in _find_and_modify
       [2022/03/03 22:56:09.066]     user_fields=_FIND_AND_MODIFY_DOC_FIELDS,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 285, in _command
       [2022/03/03 22:56:09.066]     user_fields=user_fields,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 768, in command
       [2022/03/03 22:56:09.066]     self._raise_connection_failure(error)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 926, in _raise_connection_failure
       [2022/03/03 22:56:09.066]     _raise_connection_failure(self.address, error)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 271, in _raise_connection_failure
       [2022/03/03 22:56:09.066]     raise AutoReconnect(msg) from error
       [2022/03/03 22:56:09.066] pymongo.errors.AutoReconnect: localhost:27017: connection closed
       [2022/03/03 22:56:09.066] ======================================================================
       [2022/03/03 22:56:09.066] ERROR [0.510s]: test_Dirty_implicit_session_is_discarded_(insert) (test_sessions_unified.TestSessionsDriverSessionsDirtySessionErrors)
       [2022/03/03 22:56:09.066] ----------------------------------------------------------------------
       [2022/03/03 22:56:09.066] Traceback (most recent call last):
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 762, in command
       [2022/03/03 22:56:09.066]     exhaust_allowed=exhaust_allowed,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/network.py", line 150, in command
       [2022/03/03 22:56:09.066]     reply = receive_message(sock_info, request_id)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/network.py", line 208, in receive_message
       [2022/03/03 22:56:09.066]     _receive_data_on_socket(sock_info, 16, deadline)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/network.py", line 280, in _receive_data_on_socket
       [2022/03/03 22:56:09.066]     raise OSError("connection closed")
       [2022/03/03 22:56:09.066] OSError: connection closed
       [2022/03/03 22:56:09.066] The above exception was the direct cause of the following exception:
       [2022/03/03 22:56:09.066] Traceback (most recent call last):
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1222, in test_case
       [2022/03/03 22:56:09.066]     self.run_scenario(spec)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1199, in run_scenario
       [2022/03/03 22:56:09.066]     self.run_operations(spec["operations"])
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1140, in run_operations
       [2022/03/03 22:56:09.066]     self.run_entity_operation(op)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 968, in run_entity_operation
       [2022/03/03 22:56:09.066]     result = cmd(**dict(arguments))
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 612, in insert_one
       [2022/03/03 22:56:09.066]     comment=comment,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 546, in _insert_one
       [2022/03/03 22:56:09.066]     self.__database.client._retryable_write(acknowledged, _insert_command, session)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/mongo_client.py", line 1397, in _retryable_write
       [2022/03/03 22:56:09.066]     return self._retry_with_session(retryable, func, s, None)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/mongo_client.py", line 1284, in _retry_with_session
       [2022/03/03 22:56:09.066]     return self._retry_internal(retryable, func, session, bulk)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/mongo_client.py", line 1318, in _retry_internal
       [2022/03/03 22:56:09.066]     return func(session, sock_info, retryable)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/collection.py", line 541, in _insert_command
       [2022/03/03 22:56:09.066]     retryable_write=retryable_write,
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 768, in command
       [2022/03/03 22:56:09.066]     self._raise_connection_failure(error)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 926, in _raise_connection_failure
       [2022/03/03 22:56:09.066]     _raise_connection_failure(self.address, error)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/pymongo/pool.py", line 271, in _raise_connection_failure
       [2022/03/03 22:56:09.066]     raise AutoReconnect(msg) from error
       [2022/03/03 22:56:09.066] pymongo.errors.AutoReconnect: localhost:27017: connection closed
       [2022/03/03 22:56:09.066] ======================================================================
       [2022/03/03 22:56:09.066] FAIL [0.216s]: test_Test_with_document_comment_-_pre_4_4 (test_change_stream.TestUnifiedChangeStreams)
       [2022/03/03 22:56:09.066] ----------------------------------------------------------------------
       [2022/03/03 22:56:09.066] Traceback (most recent call last):
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1222, in test_case
       [2022/03/03 22:56:09.066]     self.run_scenario(spec)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1205, in run_scenario
       [2022/03/03 22:56:09.066]     self.check_events(expect_events)
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/unified_format.py", line 1156, in check_events
       [2022/03/03 22:56:09.066]     self.assertGreaterEqual(len(actual_events), len(events), actual_events)
       [2022/03/03 22:56:09.066] AssertionError: 0 not greater than or equal to 1 : []
       [2022/03/03 22:56:09.066] ======================================================================
       [2022/03/03 22:56:09.066] FAIL [0.034s]: test_implicit_sessions_checkout (test_session.TestSession)
       [2022/03/03 22:56:09.066] ----------------------------------------------------------------------
       [2022/03/03 22:56:09.066] Traceback (most recent call last):
       [2022/03/03 22:56:09.066]   File "/data/mci/8796876286cbb8d913ff70c3a141ff38/src/test/test_session.py", line 226, in test_implicit_sessions_checkout
       [2022/03/03 22:56:09.066]     self.assertIsNone(thread.exc)
       [2022/03/03 22:56:09.066] AssertionError: OperationFailure("This MongoDB deployment does not support retryable writes. Please add retryWrites=false to your connection string., full error: {'operationTime': Timestamp(1646348141, 117), 'ok': 0.0, 'errmsg': 'Transaction numbers are only allowed on storage engines that support document-level locking', 'code': 20, 'codeName': 'IllegalOperation', '$clusterTime': {'clusterTime': Timestamp(1646348141, 117), 'signature': {'hash': b'\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00', 'keyId': 0}}}",) is not None
      

      https://evergreen.mongodb.com/task/mongo_python_driver_tests_storage_engines__platform~ubuntu_18.04_python_version~3.6_storage_engine~mmapv1_test_4.0_replica_set_671d1e622c03c6ba8453be8929a15d514f20abaf_22_03_03_20_47_36

            Assignee:
            shane.harvey@mongodb.com Shane Harvey
            Reporter:
            shane.harvey@mongodb.com Shane Harvey
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Created:
              Updated:
              Resolved: